# Class SendMessageRequest | EchoHub Documentation

# Class SendMessageRequest

Namespace
  EchoHub.Core.DTOs

Assembly
  EchoHub.Core.dll

    public record SendMessageRequest : IEquatable<SendMessageRequest>

Inheritance
  object
  SendMessageRequest

Implements
  IEquatable<SendMessageRequest>

Inherited Members
  object.GetType()
  object.MemberwiseClone()
  object.Equals(object, object)
  object.ReferenceEquals(object, object)

## Constructors

### SendMessageRequest(SendMessageRequest)

    protected SendMessageRequest(SendMessageRequest original)

#### Parameters

`original` SendMessageRequest

### SendMessageRequest(string, string)

    public SendMessageRequest(string ChannelName, string Content)

#### Parameters

`ChannelName` string
`Content` string

## Properties

### ChannelName

    public string ChannelName { get; init; }

#### Property Value

string

### Content

    public string Content { get; init; }

#### Property Value

string

### EqualityContract

    protected virtual Type EqualityContract { get; }

#### Property Value

Type

## Methods

### Deconstruct(out string, out string)

    public void Deconstruct(out string ChannelName, out string Content)

#### Parameters

`ChannelName` string
`Content` string

### Equals(SendMessageRequest?)

    public virtual bool Equals(SendMessageRequest? other)

#### Parameters

`other` SendMessageRequest

#### Returns

bool

### Equals(object?)

    public override bool Equals(object? obj)

#### Parameters

`obj` object

#### Returns

bool

### GetHashCode()

    public override int GetHashCode()

#### Returns

int

### PrintMembers(StringBuilder)

    protected virtual bool PrintMembers(StringBuilder builder)

#### Parameters

`builder` StringBuilder

#### Returns

bool

### ToString()

    public override string ToString()

#### Returns

string

## Operators

### operator ==(SendMessageRequest?, SendMessageRequest?)

    public static bool operator ==(SendMessageRequest? left, SendMessageRequest? right)

#### Parameters

`left` SendMessageRequest
`right` SendMessageRequest

#### Returns

bool

### operator !=(SendMessageRequest?, SendMessageRequest?)

    public static bool operator !=(SendMessageRequest? left, SendMessageRequest? right)

#### Parameters

`left` SendMessageRequest
`right` SendMessageRequest

#### Returns

bool